Mailinglist Archive: opensuse-bugs (4510 mails)

< Previous Next >
[Bug 966066] There is something wrong with Recommends: gimp-lang
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Thu, 11 Feb 2016 13:25:01 +0000
  • Message-id: <bug-966066-21960-U3vIQaMIJO@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=966066
http://bugzilla.opensuse.org/show_bug.cgi?id=966066#c2

Stanislav Brabec <sbrabec@xxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
Flags|needinfo?(sbrabec@xxxxxxxx) |

--- Comment #2 from Stanislav Brabec <sbrabec@xxxxxxxx> ---
Looking at zypp.conf and zypper.conf, everything is in the default state, i.
e.:

# installRecommends = yes

# solver.onlyRequires = false


I have two repositories containing gimp: one is Factory, second is graphics.
Gimp came from Factory, but the gimp-lang installed below came from graphics.

oct:~ # zypper wp gimp-lang
Command 'what-provides' is replaced by 'search --provides --match-exact'.
See 'help search' for all available options.
Loading repository data...
Reading installed packages...

S | Name | Summary | Type
--+-----------+----------------------------+--------
| gimp-lang | Languages for package gimp | package
oct:~ # zypper in --recommends -f gimp
Loading repository data...
Reading installed packages...
Forcing installation of 'gimp-2.8.16-2.7.x86_64' from repository 'graphics'.
Resolving package dependencies...

The following NEW package is going to be installed:
gimp-lang

The following package is going to be upgraded:
gimp

The following package is going to change vendor:
gimp openSUSE -> obs://build.opensuse.org/graphics


1 package to upgrade, 1 new, 1 to change vendor.
Overall download size: 11.1 MiB. Already cached: 0 B. After the operation,
additional 29.1 MiB will be used.
Continue? [y/n/? shows all options] (y): n
oct:~ # zypper in gimp-lang
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW package is going to be installed:
gimp-lang

1 new package to install.
Overall download size: 4.1 MiB. Already cached: 0 B. After the operation,
additional 29.1 MiB will be used.
Continue? [y/n/? shows all options] (y):
Retrieving package gimp-lang-2.8.16-2.7.no (1/1), 4.1 MiB ( 29.1 MiB unpacked)
Retrieving: gimp-lang-2.8.16-2.7.noarch.rpm
........................................................................[done]
Checking for file conflicts:
........................................................................[done]
(1/1) Installing: gimp-lang-2.8.16-2.7
........................................................................[done]
oct:~ # zypper in -f gimp
Loading repository data...
Reading installed packages...
Forcing installation of 'gimp-2.8.16-2.7.x86_64' from repository 'graphics'.
Resolving package dependencies...

The following package is going to be upgraded:
gimp

The following package is going to change vendor:
gimp openSUSE -> obs://build.opensuse.org/graphics


1 package to upgrade, 1 to change vendor.
Overall download size: 7.0 MiB. Already cached: 0 B. After the operation,
additional 6.8 KiB will be used.
Continue? [y/n/? shows all options] (y): n
oct:~ # rpm -q gimp gimp-lang
gimp-2.8.16-1.3.x86_64
gimp-lang-2.8.16-2.7.noarch

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
References